Subject: Re: [PATCH] [powerpc] do not expect executable permissions for in-tree shell scripts

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 10 Jun 2010 16:26:29 +1000

On Sat, 2010-06-05 at 14:00 -0400, Sean MacLennan wrote:
> On Sat, 5 Jun 2010 19:44:37 +0200
> Olaf Hering <[email-masked]> wrote:
> 
> > Maybe.
> > As it stands right now, mkuboot.sh does not run without bash.
> > 
> > 
> > And:
> > Reality check please.
> > A _development system_ without bash, installed per default on every
> > sane Linux distro, does most likely not exist.
> 
> Hmmm, can't argue with that. I wouldn't consider building a kernel on
> the warp sane ;) And to be honest, I am not sure anyone has tried. We
> officially support it, but I have never done it and don't plan to try.

I still don't like it very much.. why not chmod'ing it +x instead ? :-)

Cheers,
Ben.